{% extends 'base.html.twig' %}

{% block title %}UsepaymentMethod index{% endblock %}

{% block body %}
    <h1>UsepaymentMethod index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Provider</th>
                <th>Payment_type</th>
                <th>Account_number</th>
                <th>Expiry_date</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for usepayment_method in usepayment_methods %}
            <tr>
                <td>{{ usepayment_method.id }}</td>
                <td>{{ usepayment_method.provider }}</td>
                <td>{{ usepayment_method.paymentType }}</td>
                <td>{{ usepayment_method.accountNumber }}</td>
                <td>{{ usepayment_method.expiryDate ? usepayment_method.expiryDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('app_usepayment_method_show', {'id': usepayment_method.id}) }}">show</a>
                    <a href="{{ path('app_usepayment_method_edit', {'id': usepayment_method.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_usepayment_method_new') }}">Create new</a>
{% endblock %}
